// TODO: DM user the hidden commands if user is authorized
module.exports = (message, args, prefix, dmHelp) => {
  if (args[0]) {
    if (message.client.commands.has(args[0])) {
      const data = [];
      const command = message.client.commands.get(args[0]);

      if (command.admin) {
        return message.channel.send(`I could not find the ${args[0]} command.`);
      }

      data.push(`**Name:** ${command.name}`);

      if (command.aliases) {
        data.push(`**Aliases:** ${command.aliases.join(', ')}`);
      }
      if (command.description) {
        data.push(`**Description:** ${command.description}`);
      }
      if (command.usage) {
        data.push(`**Usage:** ${prefix}${command.name} ${command.usage}`);
      }

      data.push(`**Cooldown:** ${command.cooldown || 3} second(s)`);
    } else {
      return message.channel.send(`I could not find the ${args[0]} command.`);
    }
  }

  // If no args
  const data = [];
  data.push('__Here is a list of my commands:__');
  for (const command of message.client.commands) {
    // command is an array ['command name', commandObject]
    if (!command[1].hidden) {
      data.push(`**${prefix}${command[1].name}:** ${command[1].description}`);
    }
  }
  data.push(
    `You can use \`${prefix}help [command name]\` to know more about a command.`
  );

  if (dmHelp) {
    message.author
      .send(data, { split: true })
      .then(message.channel.send("I DM'd you my commands."));
    return;
  } else {
    return message.channel.send(data, { split: true });
  }
};
