const { Collection } = require('discord.js');

const isInCooldown = require('./isInCooldown');

// isInCooldown
it('should return the time left of 15 seconds', () => {
  const id = '123';
  const cooldown = 15;
  // a dummy command
  const command = { name: 'cmd', cooldown: cooldown };
  // 8 seconds left on cooldown for user '123'
  const cooldowns = new Collection([[command.name, new Collection([[id, Date.now()]])]]);
  // it should return 8
  expect(isInCooldown(command, cooldowns, id)).toBe(cooldown.toFixed(1));
});

it('should return the time left of 30 seconds', () => {
  const id = '123';
  const cooldown = 30;
  // a dummy command
  const command = { name: 'cmd', cooldown: cooldown };
  // 8 seconds left on cooldown for user '123'
  const cooldowns = new Collection([[command.name, new Collection([[id, Date.now()]])]]);
  // it should return 8
  expect(isInCooldown(command, cooldowns, id)).toBe(cooldown.toFixed(1));
});

it('should return false', () => {
  const id = '123';
  const cooldown = 15;
  // a dummy command
  const command = { name: 'cmd', cooldown: cooldown };
  // 8 seconds left on cooldown for user '123'
  const cooldowns = new Collection([[command.name, new Collection([[id, Date.now()]])]]);
  // it should return 8
  expect(isInCooldown(command, cooldowns, 'random_id')).toBe(false);
});