const parseCommand = require('./parseCommand');

it('should return the correct command', () => {
  const prefix = '>>';
  const messageContent = '>>play new song';
  expect(parseCommand(messageContent, prefix).commandName).toBe('play');
});

it('should return the correct arguments', () => {
  const prefix = '@';
  const messageContent = '@play new song 22 username now';
  expect(parseCommand(messageContent, prefix).args).toMatchObject(['new', 'song', '22', 'username', 'now']);
});

it('should return the correct content', () => {
  const prefix = '!';
  const messageContent = '!alert user Hello there, nice to meet you!';
  expect(parseCommand(messageContent, prefix).commandContent).toBe('user Hello there, nice to meet you!');
});

it('should return the correct command object', () => {
  const prefix = '@';
  const messageContent = '@alert user Hello there, nice to meet you!';
  expect(parseCommand(messageContent, prefix)).toMatchObject({
    commandName: 'alert',
    args: ['user', 'Hello', 'there,', 'nice', 'to', 'meet', 'you!'],
    commandContent: 'user Hello there, nice to meet you!',
  });
});